Bug 178027 - audio/pd: Update to version 0.44.3
Summary: audio/pd: Update to version 0.44.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-21 19:10 UTC by tkato432
Modified: 2013-04-26 08:10 UTC (History)
0 users

See Also:


Attachments
file.diff (12.62 KB, patch)
2013-04-21 19:10 UTC, tkato432
no flags Details | Diff
audio_pd.diff (12.80 KB, patch)
2013-04-24 18:54 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-04-21 19:10:00 UTC
- Update to version 0.44.3

Remove file:
files/patch-src_m_conf.c
files/patch-src_m_glob.c
files/patch-src_m_sched.c
files/patch-src_s_audio.c
files/patch-src_s_file.c
files/patch-src_s_inter.c
Comment 1 Edwin Groothuis freebsd_committer 2013-04-21 19:10:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2013-04-24 18:54:46 UTC
Remake of the patch against current tree.
Comment 3 Martin Wilke freebsd_committer 2013-04-26 08:01:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-04-26 08:01:46 UTC
Author: miwi
Date: Fri Apr 26 07:01:32 2013
New Revision: 316580
URL: http://svnweb.freebsd.org/changeset/ports/316580

Log:
  - Update to 0.44-3
  
  PR:		178027
  Submitted by:	Ports Fury

Deleted:
  head/audio/pd/files/patch-src_m_conf.c
  head/audio/pd/files/patch-src_m_glob.c
  head/audio/pd/files/patch-src_m_sched.c
  head/audio/pd/files/patch-src_s_audio.c
  head/audio/pd/files/patch-src_s_file.c
  head/audio/pd/files/patch-src_s_inter.c
Modified:
  head/audio/pd/Makefile
  head/audio/pd/distinfo
  head/audio/pd/files/patch-src_s_main.c   (contents, props changed)
  head/audio/pd/pkg-plist

Modified: head/audio/pd/Makefile
==============================================================================
--- head/audio/pd/Makefile	Fri Apr 26 06:58:41 2013	(r316579)
+++ head/audio/pd/Makefile	Fri Apr 26 07:01:32 2013	(r316580)
@@ -2,24 +2,27 @@
 # $FreeBSD$
 
 PORTNAME=	pd
-DISTVERSION=	0.44-2
+DISTVERSION=	0.44-3
 DISTVERSIONSUFFIX=	.src
 CATEGORIES=	audio
-MASTER_SITES=	SF/pure-data/pure-data/${PORTVERSION} \
-		http://www-crca.ucsd.edu/~msp/Software/
+#MASTER_SITES=	SF/pure-data/pure-data/${PORTVERSION}
+MASTER_SITES=	http://www-crca.ucsd.edu/~msp/Software/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	MIDI-capable real-time audio processor/synthesizer
 
 LICENSE=	BSD
 
+RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils \
+		dejavu>0:${PORTSDIR}/x11-fonts/dejavu
+
 OPTIONS_DEFINE=	ALSA FFTW JACK DOCS
+OPTIONS_DEFAULT=FFTW
 
 WRKSRC=		${WRKDIR}/${DISTNAME:S,${DISTVERSIONSUFFIX},,}
 
-USES=		pkgconfig
+USES=		gettext pkgconfig
 USE_TK_WRAPPER=	yes
-USE_GETTEXT=	yes
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	aclocal libtoolize autoconf automake
 ACLOCAL_ARGS=	-I m4/generated -I m4
@@ -74,11 +77,7 @@ post-patch:
 		 /^libpddir/s|=.*|= $$(pkglibdir)| ; \
 		 s|make -C|$$(MAKE) -C|' ${WRKSRC}/Makefile.am
 	@${REINPLACE_CMD} -e \
-		'/^pd_LDADD/s| =.*| = $$(LIBM)| ; \
-		 s| x_midi.c|| ; \
-		 s| s_midi.c|| ; \
-		 s| s_midi_alsa.c|| ; \
-		 s| s_midi_oss.c||g' ${WRKSRC}/src/Makefile.am
+		'/^pd_LDADD/s| =.*| = $$(LIBM)|' ${WRKSRC}/src/Makefile.am
 	@${REINPLACE_CMD} -e \
 		's|PD_BASEDIR/LICENSE|${DOCSDIR}/LICENSE|g ; \
 		 s|PD_BASEDIR/doc/1|${DOCSDIR}/1|g' \

Modified: head/audio/pd/distinfo
==============================================================================
--- head/audio/pd/distinfo	Fri Apr 26 06:58:41 2013	(r316579)
+++ head/audio/pd/distinfo	Fri Apr 26 07:01:32 2013	(r316580)
@@ -1,2 +1,2 @@
-SHA256 (pd-0.44-2.src.tar.gz) = 595908d7d5678e3f80ed1b6b37b41c9b5e22472893b1f489decfc805f56ee804
-SIZE (pd-0.44-2.src.tar.gz) = 2201154
+SHA256 (pd-0.44-3.src.tar.gz) = 242745f16bf27838150120022a8f5b63ea5c69441c305dcf637242686f615317
+SIZE (pd-0.44-3.src.tar.gz) = 2200542

Modified: head/audio/pd/files/patch-src_s_main.c
==============================================================================
--- head/audio/pd/files/patch-src_s_main.c	Fri Apr 26 06:58:41 2013	(r316579)
+++ head/audio/pd/files/patch-src_s_main.c	Fri Apr 26 07:01:32 2013	(r316580)
@@ -1,25 +1,5 @@
 --- src/s_main.c.orig	2011-03-07 10:11:02.000000000 +0900
 +++ src/s_main.c	2011-04-06 19:30:04.000000000 +0900
-@@ -300,7 +300,9 @@
-     else
-     {
-             /* open audio and MIDI */
-+#if !defined(__FreeBSD__)
-         sys_reopen_midi();
-+#endif
-         sys_reopen_audio();
-             /* run scheduler until it quits */
-         return (m_mainloop());
-@@ -628,7 +630,9 @@
-         }
-         else if (!strcmp(*argv, "-alsamidi"))
-         {
-+#if !defined(__FreeBSD__)
-           sys_set_midi_api(API_ALSA);
-+#endif
-             argc--; argv++;
-         }
- #endif
 @@ -936,7 +940,11 @@
              /* add "doc/5.reference" library to helppath */
      strncpy(sbuf, sys_libdir->s_name, MAXPDSTRING-30);
@@ -32,23 +12,3 @@
      sys_helppath = namelist_append_files(sys_helppath, sbuf);
          /* correct to make audio and MIDI device lists zero based.  On
          MMIO, however, "1" really means the second device (the first one
-@@ -990,7 +998,9 @@
-         for (i = 0; i < naudiooutdev; i++)
-             audiooutdev[i] = sys_soundoutdevlist[i];
-     }
-+#if !defined(__FreeBSD__)
-     sys_get_midi_params(&nmidiindev, midiindev, &nmidioutdev, midioutdev);
-+#endif
-     if (sys_nmidiin >= 0)
-     {
-         post("sys_nmidiin %d, nmidiindev %d", sys_nmidiin, nmidiindev);
-@@ -1015,7 +1025,9 @@
-     sys_set_audio_settings(naudioindev, audioindev, nchindev, chindev,
-         naudiooutdev, audiooutdev, nchoutdev, choutdev, rate, advance, 
-         callback, blocksize);
-+#if !defined(__FreeBSD__)
-     sys_open_midi(nmidiindev, midiindev, nmidioutdev, midioutdev, 0);
-+#endif
- }
- 
- static void sys_addreferencepath(void)

Modified: head/audio/pd/pkg-plist
==============================================================================
--- head/audio/pd/pkg-plist	Fri Apr 26 06:58:41 2013	(r316579)
+++ head/audio/pd/pkg-plist	Fri Apr 26 07:01:32 2013	(r316580)
@@ -392,8 +392,8 @@ libdata/pkgconfig/pd.pc
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/graph-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/hdial-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/help-intro.pd
-%%PORTDOCS%%%%DOCSDIR%%/5.reference/hradio-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/hip~-help.pd
+%%PORTDOCS%%%%DOCSDIR%%/5.reference/hradio-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/hslider-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/int-help.pd
 %%PORTDOCS%%%%DOCSDIR%%/5.reference/key-help.pd
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"